Link statistics with rt2x00?

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=4551

ngc2997

11-01-2008 14:54:30

Hi,

will there be proper link statistics (especially link quality) in future versions of the rt2x00 driver? I've got a rt2500 chipset using the drivers shipped with Ubuntu Gutsy (2.0.4), and the missing link quality (always 0) leads to the gnome-netstatus applet not reporting signal strength at all (the field is empty). As this is a bit annoying, I'd appreciate link quality being reported by the driver; however, I guess this is more a 'cosmetic' problem..

Best wishes,
Karsten

IvD

11-01-2008 18:58:47

If Ubuntu ships rt2x00 2.0.4 they are shipping antiqueties, link statistics has been implemented months ago.

ngc2997

11-01-2008 19:17:47

Well, I guess they do, because modinfo rt2x00pci shows

[code2mqciwy2]
ngc2997@Antares:~$ modinfo rt2x00pci
filename: /lib/modules/2.6.22-14-generic/ubuntu/wireless/rt2x00/rt2x00pci.ko
license: GPL
description: rt2x00 library
version: 2.0.4
author: http://rt2x00.serialmonkey.com
srcversion: 2325AD1CCAE42F66D4A7784
depends: mac80211,rt2x00lib
vermagic: 2.6.22-14-generic SMP mod_unload 586
[/code2mqciwy2]

Best wishes,
Karsten

IvD

11-01-2008 19:19:26

Well then you either need to upgrade to a more recent kernel, or wait untill ubuntu finally upgrades the drivers.

alex-it

11-01-2008 21:12:16

[code2m8l5pjt]ale@ubuntu:~$ modinfo rt2x00pci
filename: /lib/modules/2.6.22-14-generic/updates/drivers/net/wireless/rt2x00/rt2x00pci.ko
license: GPL
description: rt2x00 library
version: 2.0.14
author: http://rt2x00.serialmonkey.com
srcversion: 38124131A1F56108A45E48E
depends: rt2x00lib,mac80211
vermagic: 2.6.22-14-generic SMP mod_unload 586
[/code2m8l5pjt][code2m8l5pjt]ale@ubuntu:~$ iwconfig

wlan0 IEEE 802.11g ESSID:"LinuxRulez"
Mode:Managed Frequency:2.462 GHz Access Point: 00:18:xx:xx:xx:xx
Bit Rate=54 Mb/s Tx-Power=27 dBm
Retry min limit:7 RTS thr:off Fragment thr=2352 B
Link Quality=69/100 Signal level=-64 dBm
Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
Tx excessive retries:0 Invalid misc:0 Missed beacon:0[/code2m8l5pjt]

(on Ubuntu Gutsy)
wink

ngc2997

12-01-2008 17:23:03

[..]
(on Ubuntu Gutsy)
wink[/quote18rm6lev]

Hm, guess you compiled the driver yourself? According to the README from the current CVS sources, the minimum required kernel is 2.6.24rc1, so how can the driver be compiled for Gutsy's 2.6.22-14-generic (if possible, that is..)?

Best wishes,
Karsten

alex-it

12-01-2008 19:38:54


Hm, guess you compiled the driver yourself? According to the README from the current CVS sources, the minimum required kernel is 2.6.24rc1, so how can the driver be compiled for Gutsy's 2.6.22-14-generic (if possible, that is..)?[/quote1kdlbku7]It's very easy! Follow this wiki http//linuxwireless.org/en/users/Download